Bug 71905 - new port: Irrlicht, a real time 3d engine
Summary: new port: Irrlicht, a real time 3d engine
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tetsurou Okazaki
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-19 11:10 UTC by Simon Barner
Modified: 2005-07-18 03:46 UTC (History)
0 users

See Also:


Attachments
irrlicht.shar (22.25 KB, text/plain)
2004-09-19 11:10 UTC, Simon Barner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Barner 2004-09-19 11:10:21 UTC
From the web site:

The Irrlicht Engine is an open source high performance realtime 3D engine written in C++.
It is completely cross-platform, using D3D, OpenGL and its own software renderer, and has
all of the state-of-the-art features which can be found in commercial 3d engines.

While FreeBSD is not an officially supported platfrom (yet?), the library compiles nicely, and
all the demo applications run flawlessly.

Here is a list of projects the use the irrlicht engine. Although I don't want to port any
of the right now, I think it would be good to have irrlicht in the ports collection
(just in case somebody else wants to port any of these games...)

http://irrlicht.sourceforge.net/links.html

=== P.S: Dear committer, do you think the x11-toolkits category is suitable? ===

How-To-Repeat: N/A
Comment 1 Tetsurou Okazaki freebsd_committer 2004-11-16 09:01:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->okazaki

I'll handle this.
Comment 2 Tetsurou Okazaki freebsd_committer 2005-06-19 12:42:56 UTC
State Changed
From-To: open->analyzed

Now, preparing to add the newest release.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2005-07-18 03:44:41 UTC
State Changed
From-To: analyzed->closed

With bugmeister hat on, close this one, as revision 0.10.0 was committed 
two weeks ago by the assignee, and that is what I am assuming the note 
at the end referred to. 

Note, however, that 0.11.0 was released just a few days ago.